<?php 
if( function_exists('acf_add_local_field_group') ):

acf_add_local_field_group(array (
	'key' => 'group_564e0d1a0ab9b',
	'title' => 'WooCommerce Out of Stock ! - Configure Stock Thresholds',
	'fields' => array (
		array (
			'key' => 'field_564efcf37cdcc',
			'label' => 'Default level',
			'name' => 'wcosm_default_level',
			'type' => 'number',
			'instructions' => 'Default level will be applied to all products that are not matching "Stock Threshold" rules. Set 0 di disable.',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 10,
			'min' => 0,
			'max' => '',
			'step' => '',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'readonly' => 0,
			'disabled' => 0,
		),
		array (
			'key' => 'field_565b0989d0038',
			'label' => 'Enable notification emails',
			'name' => 'wcosm_default_enable_notification_emails',
			'type' => 'select',
			'instructions' => 'System will send a warning email for products who reach the default level. This option is overide by custom thresholds options.',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'multiple' => 0,
			'allow_null' => 0,
			'choices' => array (
				'yes' => 'Yes',
				'no' => 'No',
			),
			'default_value' => array (
			),
			'ui' => 0,
			'ajax' => 0,
			'placeholder' => '',
			'return_format' => 'value',
			'disabled' => 0,
			'readonly' => 0,
		),
		array (
			'key' => 'field_5655bf442fcfe',
			'label' => 'Email notification default recipient(s)',
			'name' => 'wcosm_email_notification_recipients',
			'type' => 'text',
			'instructions' => 'Leave empty notification will be sent to the defaul admin email. Multiple emails allowed, use "," to separe them. Ex:	"shop1@email.com, shop2@email.com"',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_565b0989d0038',
						'operator' => '==',
						'value' => 'yes',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'maxlength' => '',
			'placeholder' => 'shop1@email.com, shop2@email.com',
			'prepend' => '',
			'append' => '',
			'readonly' => 0,
			'disabled' => 0,
		),
		array (
			'key' => 'field_564e17a9e6b37',
			'label' => 'Configure stock thresholds',
			'name' => 'wcosm_choose_stock_threshold',
			'type' => 'repeater',
			'instructions' => 'Define stock thresholds rules. You can define multiple rules for same items, priority goes bottom-up (lower have higher priority)',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'min' => 0,
			'max' => 0,
			'layout' => 'row',
			'button_label' => 'Add new threshold',
			'collapsed' => 'field_56f28255b8b84',
			'sub_fields' => array (
				array (
					'key' => 'field_56f28255b8b84',
					'label' => 'Threshold rule name',
					'name' => 'wcosm_rule_name',
					'type' => 'text',
					'instructions' => 'Specify an optional threshold rule name to better identify the rule. This is also used to identify the rule in the notification email.',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'maxlength' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'readonly' => 0,
					'disabled' => 0,
				),
				array (
					'key' => 'field_564e0e9488914',
					'label' => 'Warning level',
					'name' => 'wcosm_warning_level',
					'type' => 'number',
					'instructions' => '',
					'required' => 1,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => 10,
					'min' => '',
					'max' => '',
					'step' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'readonly' => 0,
					'disabled' => 0,
				),
				array (
					'key' => 'field_564e0d60b55e2',
					'label' => 'Products',
					'name' => 'wcosm_products',
					'type' => 'post_object',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'post_type' => array (
						0 => 'product',
						1 => 'product_variation',
					),
					'taxonomy' => array (
					),
					'allow_null' => 0,
					'multiple' => 1,
					'return_format' => 'id',
					'ui' => 1,
				),
				array (
					'key' => 'field_564e0de1b55e3',
					'label' => 'Categories',
					'name' => 'wcosm_categories',
					'type' => 'taxonomy',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'taxonomy' => 'product_cat',
					'field_type' => 'multi_select',
					'multiple' => 0,
					'allow_null' => 1,
					'return_format' => 'id',
					'add_term' => 0,
					'load_terms' => 0,
					'save_terms' => 0,
				),
				array (
					'key' => 'field_564ef7afc5930',
					'label' => 'Categories children',
					'name' => 'wcosm_categories_children',
					'type' => 'radio',
					'instructions' => '',
					'required' => 1,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'layout' => 'vertical',
					'choices' => array (
						'selected_only' => 'Apply to selected categories only',
						'all_children' => 'Apply to selected categories and all its children',
					),
					'default_value' => '',
					'other_choice' => 0,
					'save_other_choice' => 0,
					'allow_null' => 0,
					'return_format' => 'value',
				),
				array (
					'key' => 'field_56574327ddf40',
					'label' => 'Select strategy',
					'name' => 'wcosm_select_strategy',
					'type' => 'radio',
					'instructions' => 'You can assign the custom stock level to the selected product(s)/category(ies) or to all excluding the selected ones.',
					'required' => 1,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'layout' => 'vertical',
					'choices' => array (
						'all' => 'For all selected product(s)/category(ies)',
						'except' => 'Except the selected product(s)/category(ies)',
					),
					'default_value' => '',
					'other_choice' => 0,
					'save_other_choice' => 0,
					'allow_null' => 0,
					'return_format' => 'value',
				),
				array (
					'key' => 'field_5655bee92fcfd',
					'label' => 'Email notification',
					'name' => 'wcosm_email_notification',
					'type' => 'select',
					'instructions' => 'Receive an email whenever on of the items stock level goes under the threshold.',
					'required' => 1,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'multiple' => 0,
					'allow_null' => 0,
					'choices' => array (
						'yes' => 'Yes',
						'no' => 'No',
					),
					'default_value' => array (
						'yes' => 'yes',
					),
					'ui' => 0,
					'ajax' => 0,
					'placeholder' => '',
					'return_format' => 'value',
					'disabled' => 0,
					'readonly' => 0,
				),
				array (
					'key' => 'field_56f2818113374',
					'label' => 'Email notification recipient(s)',
					'name' => 'wcosm_email_notification_recipients',
					'type' => 'text',
					'instructions' => 'This field overrides the default one. Leave empty to use the default recipient(s). Multiple emails allowed, use "," to separe them. Ex:	"shop1@email.com, shop2@email.com"',
					'required' => 0,
					'conditional_logic' => array (
						array (
							array (
								'field' => 'field_5655bee92fcfd',
								'operator' => '==',
								'value' => 'yes',
							),
						),
					),
					'wrapper' => array (
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'maxlength' => '',
					'placeholder' => 'shop1@email.com, shop2@email.com',
					'prepend' => '',
					'append' => '',
					'readonly' => 0,
					'disabled' => 0,
				),
			),
		),
	),
	'location' => array (
		array (
			array (
				'param' => 'options_page',
				'operator' => '==',
				'value' => 'acf-options-stock-values-configurator',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => array (
		0 => 'permalink',
		1 => 'the_content',
		2 => 'excerpt',
		3 => 'custom_fields',
		4 => 'discussion',
		5 => 'comments',
		6 => 'revisions',
		7 => 'slug',
		8 => 'author',
		9 => 'format',
		10 => 'page_attributes',
		11 => 'featured_image',
		12 => 'categories',
		13 => 'tags',
		14 => 'send-trackbacks',
	),
	'active' => 1,
	'description' => '',
));

acf_add_local_field_group(array (
	'key' => 'group_58d7a4e8a1409',
	'title' => 'WooCommerce Out of Stock ! - Texts',
	'fields' => array (
		array (
			'key' => 'field_58d7a658c8e8d',
			'label' => 'In stock',
			'name' => 'wcosm_in_stock_text',
			'type' => 'text',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'In stock',
			'placeholder' => 'In stock',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_58d7a68bc8e8e',
			'label' => 'Out of stock',
			'name' => 'wcosm_out_of_stock',
			'type' => 'text',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Out of stock',
			'placeholder' => 'Out of stock',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_58d7a6f2c8e90',
			'label' => 'Above custom stock level',
			'name' => 'wcsm_above_cutom_stock_level',
			'type' => 'text',
			'instructions' => '%s is the place holder of the current product stock quantity.',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => '%s in stock',
			'placeholder' => '%s in stock',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_58d7a6a7c8e8f',
			'label' => 'Under custom stock level',
			'name' => 'wcosm_under_custom_stock_level',
			'type' => 'text',
			'instructions' => '%s is the place holder of the current product stock quantity.',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Only %s left in stock',
			'placeholder' => 'Only %s left in stock',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
	),
	'location' => array (
		array (
			array (
				'param' => 'options_page',
				'operator' => '==',
				'value' => 'acf-options-out-of-stock-texts',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => 1,
	'description' => '',
));

endif;
?>