<?php 
$wcosm_active_plugins = get_option('active_plugins');
$wcosm_acf_pro = 'advanced-custom-fields-pro/acf.php';
$wcosm_acf_pro_is_aleady_active = in_array($wcosm_acf_pro, $wcosm_active_plugins) || class_exists('acf') ? true : false;
if(!$wcosm_acf_pro_is_aleady_active)
	include_once( WCOSM_PLUGIN_ABS_PATH . '/classes/acf/acf.php' );

$wcosm_hide_menu = true;
if ( ! function_exists( 'is_plugin_active' ) ) 
{
	include_once( ABSPATH . 'wp-admin/includes/plugin.php' ); 
}
/* Checks to see if the acf pro plugin is activated  */
if ( is_plugin_active('advanced-custom-fields-pro/acf.php') )  {
	$wcosm_hide_menu = false;
}

/* Checks to see if the acf plugin is activated  */
if ( is_plugin_active('advanced-custom-fields/acf.php') ) 
{
	add_action('plugins_loaded', 'wcosm_load_acf_standard_last', 10, 2 ); //activated_plugin
	add_action('deactivated_plugin', 'wcosm_detect_plugin_deactivation', 10, 2 ); //activated_plugin
	$wcosm_hide_menu = false;
}
function wcosm_detect_plugin_deactivation(  $plugin, $network_activation ) { //after
   // $plugin == 'advanced-custom-fields/acf.php'
	//wcosm_var_dump("wcosm_detect_plugin_deactivation");
	$acf_standard = 'advanced-custom-fields/acf.php';
	if($plugin == $acf_standard)
	{
		$active_plugins = get_option('active_plugins');
		$this_plugin_key = array_keys($active_plugins, $acf_standard);
		if (!empty($this_plugin_key)) 
		{
			foreach($this_plugin_key as $index)
				unset($active_plugins[$index]);
			update_option('active_plugins', $active_plugins);
			//forcing
			deactivate_plugins( plugin_basename( WP_PLUGIN_DIR.'/advanced-custom-fields/acf.php') );
		}
	}
} 
function wcosm_load_acf_standard_last($plugin, $network_activation = null) { //before
	$acf_standard = 'advanced-custom-fields/acf.php';
	$active_plugins = get_option('active_plugins');
	$this_plugin_key = array_keys($active_plugins, $acf_standard);
	if (!empty($this_plugin_key)) 
	{ 
		foreach($this_plugin_key as $index)
			//array_splice($active_plugins, $index, 1);
			unset($active_plugins[$index]);
		//array_unshift($active_plugins, $acf_standard); //first
		array_push($active_plugins, $acf_standard); //last
		update_option('active_plugins', $active_plugins);
	} 
}

if(!$wcosm_acf_pro_is_aleady_active)
	add_filter('acf/settings/path', 'wcosm_acf_settings_path');
function wcosm_acf_settings_path( $path ) {
 
    // update path
    $path = WCOSM_PLUGIN_ABS_PATH. '/classes/acf/';
    
    // return
    return $path;
    
}
if(!$wcosm_acf_pro_is_aleady_active)
	add_filter('acf/settings/dir', 'wcosm_acf_settings_dir');
function wcosm_acf_settings_dir( $dir ) {
 
    // update path
    $dir = WCOSM_PLUGIN_URL . '/classes/acf/';
    
    // return
    return $dir;
    
}
/* add_filter('acf/settings/load_json', 'wcosm_acf_json_load_point');
function wcosm_acf_json_load_point( $paths ) 
{
   unset($paths[0]);
    
    $paths[] = WCOSM_PLUGIN_ABS_PATH . '/assets';
     return $paths;
     
} */
function wcosm_acf_init() {
    
    include WCOSM_PLUGIN_ABS_PATH . "/assets/fields.php";
    
}
add_action('acf/init', 'wcosm_acf_init');
//hide acf menu
if($wcosm_hide_menu)	
add_filter('acf/settings/show_admin', '__return_false');

/* add_filter('acf/settings/save_json', 'wcosm_acf_json_save_point');
 
function wcosm_acf_json_save_point( $path ) {
    
    // update path
    $path = WCOSM_PLUGIN_ABS_PATH . '/assets/';
    
    
    // return
    return $path;
    
} */

function wcosm_get_variation_complete_name($variation_id)
{
	$error = false;
	$variation = null;
	try
	{
		$variation = new WC_Product_Variation($variation_id);
	}
	catch(Exception $e){return false; $error = true;}
	if($error) //no longer executed
		try
		{
			$error = false;
			$variation = new WC_Product($variation_id);
			return $variation->get_title();
		}catch(Exception $e){$error = true;}
	
	if($error)
		return "";
	
	$product_name = $variation->get_title()." - ";	
	if($product_name == " - ")
		return false;
	$attributes_counter = 0;
	
	foreach($variation->get_variation_attributes( ) as $attribute_name => $value)
	{
		
		if($attributes_counter > 0)
			$product_name .= ", ";
		$meta_key = urldecode( str_replace( 'attribute_', '', $attribute_name ) ); 
		
		$product_name .= " ".wc_attribute_label($meta_key).": ".$value;
		$attributes_counter++;
	}
	return $product_name;
}
	
function wcosm_change_product_name( $title, $post, $field, $post_id ) {

    if($post->post_type == "product_variation" )
	{
		$title_temp = "#{$post->ID} - ".wcosm_get_variation_complete_name($post->ID);
		$title = $title_temp != false && $title_temp != "" ? $title_temp : $title;
	}
	 return $title;
}
add_filter('acf/fields/post_object/result', 'wcosm_change_product_name', 10, 4);
?>