<?php
class WCOSM_Email  
{
	public function __construct() 
	{
	}
	public function trigger( $default_recipients, $products_to_warn, $order , $attachment = array()) {
	 
		global $wcosm_product_model;

		$subject = sprintf( esc_html__('Items are running out of stock', 'woocommerce-out-of-stock-manager'));
		$header = sprintf( wcosm_html_escape_allowing_special_tags(__('<p>Order #%s has been placed and following items are running out of stock:<br/>', 'woocommerce-out-of-stock-manager'), false),'<a href="'.admin_url('post.php?post='.WCOSM_Order::get_id($order).'&action=edit').'">'.WCOSM_Order::get_id($order).'</a>');
		
		$content_by_recipiends = array();
		foreach($products_to_warn as $product_data)
		{
			$product = $product_data['product'];
			$rule_name = $product_data['rule'] != 'none' && $product_data['rule']['rule_name'] ? $product_data['rule']['rule_name'].": " : "";
			$rule_name = $product_data['rule'] == 'none' ?  "" : $rule_name;
			
			$product_name = $product['variation_id'] != 0 ? "#".$product['variation_id']." ".$wcosm_product_model->get_variation_complete_name($product['variation_id']) : "#".$product['product_id']." ".$product['product']->get_title();
			
			$body ='<tr>'.$rule_name.'<a href="'.admin_url('post.php?post='.$product['product_id'].'&action=edit').'">'.
					$product_name.'</a> - '.__(' quantity left: ', 'woocommerce-out-of-stock-manager').
					$product['product']->get_stock_quantity( ).'<br/></tr>';
			
			if($product_data['rule'] != 'none' && $product_data['rule']['email_notification_recipients'] != "")
			{
				if(!isset($content_by_recipiends[$product_data['rule']['email_notification_recipients']]))
					$content_by_recipiends[$product_data['rule']['email_notification_recipients']] = "";
				$content_by_recipiends[$product_data['rule']['email_notification_recipients']] .= $body;
			}
			else
			{
				if(!isset($content_by_recipiends[$default_recipients]))
					$content_by_recipiends[$default_recipients] = "";
				$content_by_recipiends[$default_recipients] .= $body;
			}
			
		}
		
		$mail = WC()->mailer();
		$email_heading = get_bloginfo('name');
		
		foreach((array)$content_by_recipiends as $current_recipiends => $body_message)
		{
			$message = "";
			ob_start();
			$mail->email_header($email_heading, $mail);
			echo $header;	
			echo '<table>';
			echo $body_message;
			echo '</table>';
			echo sprintf( esc_html__('Go to site %s to edit stock quantities.', 'woocommerce-out-of-stock-manager'), '<a href="'.admin_url().'">'.__('Dashboard', 'woocommerce-out-of-stock-manager').'</a>');
			$mail->email_footer($mail);
			$message .=  ob_get_contents();
			ob_end_clean(); 
			
			add_filter('wp_mail_from_name',array(&$this, 'wp_mail_from_name'));
			try{
				if(!$mail->send( $current_recipiends, $subject, $message, "Content-Type: text/html\r\n", $attachment))
				wp_mail( $recipients, $subject, $message, "Content-Type: text/html\r\n", $attachments);
			}catch(Exception $e){}
			remove_filter('wp_mail_from_name',array(&$this, 'wp_mail_from_name'));
		}
		
	}
	public function wp_mail_from_name($name) 
	{
		return get_bloginfo('name');
	}
} 