<?php 
class WCOSM_ProductPage
{
	function __construct()
	{
		add_filter( 'woocommerce_get_availability_text', array(&$this, 'set_custom_availability_text'),10,2 );
	}
	function set_custom_availability_text($availability, $product)
	{
		global $wcosm_product_model, $wcosm_text_model;
		$texts = $wcosm_text_model->get_texts();
		
		if ( ! $product->is_in_stock() ) 
			$availability = $texts['out_of_stock'];
		elseif ( $product->managing_stock() && $product->is_on_backorder( 1 ) ) 
			$availability = esc_html__( 'Available on backorder', 'woocommerce-out-of-stock-manager' );
		elseif ( $product->managing_stock() ) 
		{
			$availability   = $texts['in_stock_text'];
			$stock_amount = $product->get_stock_quantity();

			
			if( $wcosm_product_model->is_product_under_custom_level($product))
				$availability = sprintf( $texts['under_custom_stock_level'], $stock_amount );
			else
				$availability = sprintf( $texts['above_cutom_stock_level'], $stock_amount );

			if ( $product->backorders_allowed() && $product->backorders_require_notification() ) 
				$availability .= ' ' . esc_html__( '(can be backordered)', 'woocommerce' );
			
		} 
		else 
			$availability = '';
		
		
		return $availability;
	}
}
?>